package com.huimv.admin.session;

import com.huimv.admin.domain.primary.MemberAccount;
import com.huimv.admin.domain.primary.OrganizeInfo;
import com.huimv.admin.domain.primary.SysAccountEntity;

import java.io.Serializable;

/**
 * 自定义的session存储结构
 * @author guojian
 */
public class HmSession implements Serializable {

    private MemberAccount memberAccount;

    private OrganizeInfo organizeInfo;
    private SysAccountEntity accountEntity;

    public MemberAccount getMemberAccount() {
        return memberAccount;
    }

    public void setMemberAccount(MemberAccount memberAccount) {
        this.memberAccount = memberAccount;
    }

    @Override
    public String toString() {
        return "HmSession{" +
                "memberAccount=" + memberAccount +
                ", organizeInfo=" + organizeInfo +
                ", accountEntity=" + accountEntity +
                '}';
    }

    public OrganizeInfo getOrganizeInfo() {
        return organizeInfo;
    }

    public void setOrganizeInfo(OrganizeInfo organizeInfo) {
        this.organizeInfo = organizeInfo;
    }

    public SysAccountEntity getAccountEntity() {
        return accountEntity;
    }

    public void setAccountEntity(SysAccountEntity accountEntity) {
        this.accountEntity = accountEntity;
    }
}
